Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NonPersistent()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CustomRoleGroupSetUpPopUp
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Private _IsCreate As ePermissionType = -1
    Private _IsDelete As ePermissionType = -1
    Private _IsWrite As ePermissionType = -1
    Private _IsRead As ePermissionType = -1
    Private _IsNavigate As ePermissionType = -1

    Property IsCreate As ePermissionType
        Get
            Return _IsCreate
        End Get
        Set(ByVal value As ePermissionType)
            SetPropertyValue("IsCreate", _IsCreate, value)
        End Set
    End Property
    Property IsDelete As ePermissionType
        Get
            Return _IsDelete
        End Get
        Set(ByVal value As ePermissionType)
            SetPropertyValue("IsDelete", _IsDelete, value)
        End Set
    End Property
    Property IsWrite As ePermissionType
        Get
            Return _IsWrite
        End Get
        Set(ByVal value As ePermissionType)
            SetPropertyValue("IsWrite", _IsWrite, value)
        End Set
    End Property
    Property IsRead As ePermissionType
        Get
            Return _IsRead
        End Get
        Set(ByVal value As ePermissionType)
            SetPropertyValue("IsRead", _IsRead, value)
        End Set
    End Property
    Property IsNavigate As ePermissionType
        Get
            Return _IsNavigate
        End Get
        Set(ByVal value As ePermissionType)
            SetPropertyValue("IsNavigate", _IsNavigate, value)
        End Set
    End Property
End Class
